// 多语言切换
import { Locale } from "vant";
// todo 语言包考虑异步加载
// 引入英文语言包
import enUS from "vant/es/locale/lang/en-US";
import zhCN from "vant/es/locale/lang/zh-CN";
import { zh } from "@/i18n/vant/zh";
import { en } from "@/i18n/vant/en";

// 自定义 覆盖语言包
const messages = {
  "zh-CN": zh,
  "en-US": en,
};
////////////////////////////////////////////
// vant3国际化 不受i18n的影响
export class Vant3Config {
  constructor() {
    this.init();
  }

  init() {
    this.add();
  }

  // 使用语言包
  use(newLang: string) {
    switch (newLang) {
      case "zh":
        Locale.use("zh-CN", zhCN);
        break;
      case "en":
        Locale.use("en-US", enUS);
        break;
      default:
        Locale.use("zh-CN", zhCN);
    }
  }

  // 添加语言包
  add() {
    Locale.add(messages);
  }
}
