export const demoRoutes = [
  {
    path: "/demo",
    name: "demo",
    // component: BasicLayout,
    meta: { title: "Bluebird前端框架" },
    redirect: "/demo/home",
    children: [
      // 首页
      {
        name: "home",
        path: "home",
        component: () => import("@/view/app-home.vue"),
        meta: {
          title: "首页",
          requireAuth: false,
        },
      },
      /////////////////////////////////////////////////////////////////
      // 基础组件
      {
        name: "base-components-demo",
        path: "base-components-demo",
        component: () => import("@/view/demo/base-components-demo.vue"),
        meta: {
          title: "基础组件",
          requireAuth: false,
        },
      },
      {
        name: "picker-demo",
        path: "base-components-demo/picker-demo",
        component: () => import("@/view/demo/picker-demo.vue"),
        meta: {
          title: "选择器demo",
          requireAuth: false,
        },
      },
      {
        name: "animation-demo",
        path: "base-components-demo/animation-demo",
        component: () => import("@/view/demo/animation-demo.vue"),
        meta: {
          title: "动画demo",
          requireAuth: false,
          tabBarHidden: true,
        },
      },
      {
        name: "toast-demo",
        path: "base-components-demo/toast-demo",
        component: () => import("@/view/demo/toast-demo.vue"),
        meta: {
          title: "轻提示演示",
          requireAuth: false,
          tabBarHidden: true,
        },
      },
      {
        name: "loading-demo",
        path: "base-components-demo/loading-demo",
        component: () => import("@/view/demo/loading-demo.vue"),
        meta: {
          title: "loading",
          requireAuth: false,
          tabBarHidden: true,
        },
      },
      {
        name: "event-bus-demo",
        path: "base-components-demo/event-bus-demo",
        component: () => import("@/view/demo/event-bus-demo.vue"),
        meta: {
          title: "事件演示",
          requireAuth: false,
          tabBarHidden: true,
        },
      },
      {
        name: "i18n-demo",
        path: "base-components-demo/i18n-demo",
        component: () => import("@/view/demo/i18n-demo.vue"),
        meta: {
          title: "国际化演示",
          requireAuth: false,
          tabBarHidden: true,
        },
      },
      {
        name: "validate-demo",
        path: "base-components-demo/validate-demo",
        component: () => import("@/view/demo/validate-demo.vue"),
        meta: {
          title: "表单验证演示",
          requireAuth: false,
          tabBarHidden: true,
        },
      },
      // todo wangshuai end
      ///////////////////////////////////////////////////////////
      {
        name: "form-validator",
        path: "/demo/form-validator",
        component: () => import("@/view/demo/form-validator.vue"),
        meta: {
          title: "表单校验demo",
          requireAuth: false,
        },
      },
      {
        name: "new-login",
        path: "/demo/new-login",
        component: () => import("@/view/demo/new-login.vue"),
        meta: {
          title: "新登录",
          requireAuth: false,
        },
      },
      /////////////////////////////////////////////////////////////////
      // native
      {
        name: "native-demo",
        path: "/demo/native-demo",
        component: () => import("@/view/demo/native-demo.vue"),
        meta: {
          title: "native-demo",
          requireAuth: false,
        },
      },
      // 关于页面
      {
        name: "about-demo",
        path: "/demo/about-demo",
        component: () => import("@/view/demo/about-demo.vue"),
        meta: {
          title: "关于demo",
          requireAuth: false,
        },
      },
      {
        name: "iconfont-demo",
        path: "/iconfont-demo",
        component: () => import("@/view/demo/iconfont-demo.vue"),
        meta: {
          title: "iconfont-demo页",
        },
      },
      {
        name: "swipeCell-demo",
        path: "/swipeCell-demo",
        component: () => import("@/view/demo/swipeCell-demo.vue"),
        meta: {
          title: "swipeCell-demo页",
          requireAuth: false,
          tabBarHidden: true,
        },
      },
      {
        name: "dialog-demo",
        path: "/dialog-demo",
        component: () => import("@/view/demo/dialog-demo.vue"),
        meta: {
          title: "dialog-demo页",
          requireAuth: false,
          tabBarHidden: true,
        },
      },
      {
        name: "square-toast",
        path: "/square-toast",
        component: () => import("@/view/demo/square-toast-demo.vue"),
        meta: {
          title: "square-toast页",
          requireAuth: false,
          tabBarHidden: true,
        },
      },
      {
        name: "step-line",
        path: "/step-line",
        component: () => import("@/view/demo/step-line-demo.vue"),
        meta: {
          title: "step-line-demo页",
          requireAuth: false,
          tabBarHidden: true,
        },
      },
    ],
  },

  {
    name: "slider-demo",
    path: "/slider-demo",
    component: () => import("@/view/demo/slider-demo.vue"),
    meta: {
      title: "slider-demo页",
    },
  },
  {
    name: "iconfont-demo",
    path: "/iconfont-demo",
    component: () => import("@/view/demo/iconfont-demo.vue"),
    meta: {
      title: "iconfont-demo页",
    },
  },
  {
    name: "tag-demo",
    path: "/tag-demo",
    component: () => import("@/view/demo/tag-demo.vue"),
    meta: {
      title: "tag-demo页",
    },
  },
  {
    name: "circle-slider-demo",
    path: "/circle-slider-demo",
    component: () => import("@/view/demo/circle-slider-demo.vue"),
    meta: {
      title: "circle-slider-demo页",
    },
  },
  {
    name: "swipe-demo",
    path: "/swipe-demo",
    component: () => import("@/view/demo/swipe-demo.vue"),
    meta: {
      title: "swipe-demo页",
    },
  },
  {
    name: "echarts-demo",
    path: "/echarts-demo",
    component: () => import("@/view/demo/echarts-demo.vue"),
    meta: {
      title: "echarts-demo页",
    },
  },
  {
    name: "rate-demo",
    path: "/rate-demo",
    component: () => import("@/view/demo/rate-demo.vue"),
    meta: {
      title: "rate-demo页",
    },
  },
  {
    name: "step-demo",
    path: "/step-demo",
    component: () => import("@/view/demo/step-demo.vue"),
    meta: {
      title: "step-demo页",
    },
  },
  {
    name: "iu-time-demo",
    path: "/iu-time-demo",
    component: () => import("@/view/demo/iu-time-demo.vue"),
    meta: {
      title: "iu-time-demo页",
    },
  },
  {
    name: "popover-demo",
    path: "/popover-demo",
    component: () => import("@/view/demo/popover-demo.vue"),
    meta: {
      title: "popover-demo页",
    },
  },
  {
    name: "area-demo",
    path: "/area-demo",
    component: () => import("@/view/demo/area-demo.vue"),
    meta: {
      title: "area-demo页",
    },
  },
  {
    name: "calendar-demo",
    path: "/calendar-demo",
    component: () => import("@/view/demo/calendar-demo.vue"),
    meta: {
      title: "calendar-demo页",
    },
  },
];
