import { createRouter, createWebHashHistory } from "vue-router";
import { $commonService } from "@/services/framework/dependency-injection-service";
import { demoRoutes } from "@/router-demo";
// import { loginRoutes } from "@/router/router-login";

// vuex
// import { useStore } from "@/store";
// const store = useStore();

// tabbar 配置 https://vant3.uihtm.com/#/zh-CN/tabbar
const projectRoutes = [
  {
    name: "404-page",
    path: "/404-page",
    component: () => import("@/components/framework/common/x-404.vue"),
    meta: {
      title: "404页面没找到",
      requireAuth: false,
    },
  },
  /*  {
    name: "welcome-page",
    path: "/welcome-page",
    component: () => import("@/view/welcome-page.vue"),
    meta: {
      title: "欢迎页",
      requireAuth: false,
    },
  },*/

  {
    path: "/",
    name: "index",
    // component: BasicLayout,
    meta: { title: "Bluebird前端框架" },
    redirect: "/demo/home",
  },
  // 非哈希路由暂不启用
  {
    name: "notFound",
    path: "/:path(.*)+",
    redirect: (to: any) => {
      return { path: "/404-page" };
    },
  },
];

const routes = [...demoRoutes, ...projectRoutes];

const router = createRouter({
  routes,
  history: createWebHashHistory(), // 启用哈希路由
  // history: createWebHistory(),
});

router.beforeEach((to, from, next) => {
  // 如果前往登录页，直接放行
  if (to.path === "/login") {
    return next();
  }

  // 其他场合判断token
  const token = $commonService.$storageService.getData("AuthToken");

  // 未登录的场合，判断是否是需要登陆权限，需要则进入登陆页面，否则直接进入
  if (to.meta.requireAuth === true) {
    if (token) {
      next();
    } else {
      next("/login");
    }
  } else {
    next();
  }
});

export default router;
