import { provide, inject } from "vue";
import { obj } from "@/types";

export class DependencyInjectionServiceClass {
  provideList = [];
  provideObjList: obj = {};
  app;

  constructor(app: any) {
    this.app = app;
  }

  provideFun(key: string, value: any) {
    this.provideObjList[key] = value;
    this.app.provide(key, value);
  }

  injectFun(key: string) {
    inject(key);
  }

  getCommonService() {
    return this.provideObjList;
  }
}

export const DependencyInjectionService = {
  install(app: any) {
    const dependencyInjectionServiceClass = new DependencyInjectionServiceClass(
      app
    );
    app.config.globalProperties.$dependencyInjectionService =
      dependencyInjectionServiceClass;
    const $commonService = dependencyInjectionServiceClass.getCommonService();
    dependencyInjectionServiceClass.provideFun(
      "$dependencyInjectionService",
      dependencyInjectionServiceClass
    );
    window.$commonService = $commonService;
  },
};

window.$commonService = {};
export const $commonService = new Proxy(window.$commonService, {
  get: function (target, key) {
    if (window.$commonService[key]) {
      return window.$commonService[key];
    }
    console.error(key, "公共方法指向错误", target);
  },
});
