/**
 * dialog弹出框提示
 */
import { createVNode, render } from "vue";
import XDialog from "@/components/framework/common/x-dialog-service.vue";

export interface DialogDto {
  //弹窗内容
  message: String;
  // before-close	关闭前的回调函数，返回 false 可阻止关闭，支持返回 Promise	(args) => boolean | Promise<boolean>	-
  beforeClose: { type: Function; required: true };
  //showClose 是否展示右上角弹窗关闭按钮
  showClose?: Boolean;
  //dialogTitle 弹窗标题
  dialogTitle: String;
  //showCancel 是否展示取消按钮
  showCancel?: Boolean;
  //confirmButtonText 确认按钮文言
  confirmButtonText?: String;
  //cancelButtonText 取消按钮文言
  cancelButtonText?: String;
}
// 挂载原型
export const XDialogService = {
  install(app: any) {
    // 扩展一个实例方法
    const xDialogClass = new XDialogClass();
    app.config.globalProperties.$xDialog = xDialogClass.xDialog; // 原型函数
  },
};

//目前文字超出一行显示单行文本省略
class XDialogClass {
  xDialogDom: HTMLDivElement | null = null;
  xDialog(options: DialogDto) {
    // 准备一个DOM容器
    const div = document.createElement("div");

    // 子节点添加到body上
    document.body.appendChild(div);

    // 创建虚拟dom  (组件对象， props)
    const props: any = options;
    const vnode = createVNode(XDialog, props);

    // 把虚拟dom渲染到div
    render(vnode, div);
  }
}
