/**
 * img :src 服务；提供动态src路径解析
 */
import { $commonService } from "@/services/framework/dependency-injection-service";

// 挂载原型
export const ImgService = {
  install(app: any) {
    // 如果你想挂载全局的属性，能够通过组件实例调用的属性 this.$message
    // 扩展一个实例方法
    app.config.globalProperties.$imgService = this; // 原型函数
    $commonService.$dependencyInjectionService.provideFun(
      "$imgService",
      app.config.globalProperties.$imgService
    );
  },
  getImgSrc(url: string) {
    const href = location.href;
    const path = location.origin;

    // 1. 判断是否为编译包
    const isBuildApp = href.includes("file://");
    if (isBuildApp) {
      // 2. ios 或 安卓判断
      const isAndroid = href.includes("android_asset");

      if (isAndroid) {
        // 安卓
        return "file:///android_asset" + url;
      }
      // ios
      const index = href.indexOf("/dist/");
      return href.substring(0, index) + "/dist" + url;
    }
    // 非编译包
    return path + "/src" + url;
  },
};
