/**
 * loading
 * createVNode + render 这对组合
 */
import { createVNode, render } from "vue";
import XToast from "@/components/framework/common/x-toast.vue";
import { $commonService } from "@/services/framework/dependency-injection-service";

// 挂载原型
export const XLoadingService = {
  install(app: any) {
    const xLoadingClass = new XLoadingClass();
    app.config.globalProperties.$xLoading = xLoadingClass.xLoading; // 原型函数
    $commonService.$dependencyInjectionService.provideFun(
      "$xLoading",
      app.config.globalProperties.$xLoading
    );
  },
};

class XLoadingClass {
  xLoadingDom: HTMLDivElement | null = null;
  xLoading(isShow: boolean) {
    if (isShow) {
      if (document.querySelector("#x-loading")) {
        return;
      }
      // 准备一个DOM容器
      const div = document.createElement("div");
      const id = document.createAttribute("id"); //创建属性
      id.value = "x-loading"; //设置属性值
      div.setAttributeNode(id); //给div添加属性

      // 子节点添加到body上
      document.body.appendChild(div);

      const htmlStr = `<div class="x-loading"></div>`;

      // 创建虚拟dom  (组件对象， props)
      const vnode = createVNode(XToast, { htmlStr });

      // 把虚拟dom渲染到div
      render(vnode, div);
    } else {
      const dom = document.querySelector("#x-loading");
      if (dom) {
        dom.remove();
      }
    }
  }
}
