/**
 * 方形弹出框提示
 */
import { createVNode, render } from "vue";
import XToast from "@/components/framework/common/x-toast.vue";

// 挂载原型
export const XSquareToastService = {
  install(app: any) {
    // 扩展一个实例方法
    const xSquareToastClass = new XSquareToastClass();
    app.config.globalProperties.$xSquareToast = xSquareToastClass.xSquareToast; // 原型函数
  },
};

//目前文字超出一行显示单行文本省略
class XSquareToastClass {
  xSquareToastDom: HTMLDivElement | null = null;
  xSquareToast(type: boolean, toastStr: any) {
    //若为true则为成功弹窗，若为false则为失败弹窗
    // 准备一个DOM容器
    const div = document.createElement("div");
    const id = document.createAttribute("id"); //创建属性
    let htmlStr: any;
    //TODO固定三分钟后弹窗消失
    let timer: any = null;
    //当前如果已有弹窗则关闭上个弹窗
    if (
      document.querySelector("#x-square-toast-success") ||
      document.querySelector("#x-square-toast-fail")
    ) {
      // TODO无法取消前一个
      console.log("已有弹窗");
      return;
      // clearTimeout(timer)
      // timer = null;
      // div.remove();
      // render(null, div);
    }

    if (type) {
      id.value = "x-square-toast-success"; //设置属性值
      div.setAttributeNode(id); //给div添加属性

      // 子节点添加到body上
      document.body.appendChild(div);

      htmlStr =
        `<div class="x-square-toast x-square-toast-success">` +
        toastStr +
        `</div>`;
    } else {
      id.value = "x-square-toast-fail"; //设置属性值
      div.setAttributeNode(id); //给div添加属性

      // 子节点添加到body上
      document.body.appendChild(div);

      htmlStr =
        `<div class="x-square-toast x-square-toast-fail">` +
        toastStr +
        `</div>`;
    }
    // 创建虚拟dom  (组件对象， props)
    const vnode = createVNode(XToast, { htmlStr });

    // 把虚拟dom渲染到div
    render(vnode, div);

    timer = setTimeout(() => {
      div.remove();
      // render(null, div);
    }, 3000);
  }
}
