/**
 * storage-service 持续化存储服务
 * 使用 localStorage
 */
import { obj } from "@/types";
import { $commonService } from "@/services/framework/dependency-injection-service";

export const StorageService = {
  install(app: any) {
    app.config.globalProperties.$storageService = new StorageServiceClass();
    $commonService.$dependencyInjectionService.provideFun(
      "$storageService",
      app.config.globalProperties.$storageService
    );
  },
};

export class StorageServiceClass {
  storageFlag = "storage_service";
  storageData = {};

  constructor() {
    this.init();
  }

  init() {
    this.storageData = this.getStorage();
  }

  setData(keyName: string, value: any) {
    const tempObj: obj = {};
    tempObj[keyName] = value;
    const storageData = Object.assign({}, this.storageData, tempObj);
    this.storageData = storageData;
    this.setStorage(storageData);
  }

  getData(keyName: string) {
    const storageData = JSON.parse(JSON.stringify(this.storageData));
    console.warn(keyName, storageData[keyName]);
    return storageData[keyName];
  }

  /////////////////////////////////////////////////////////////
  // 私有方法 无需调用
  setStorage(data: any) {
    localStorage.setItem(this.storageFlag, JSON.stringify(data));
  }

  getStorage() {
    const data = localStorage.getItem(this.storageFlag);
    return data === null ? {} : JSON.parse(data);
  }

  cleanStorage() {
    this.storageData = {};
    this.setStorage(this.storageData);
  }
}
