/**
 * toast
 * createVNode + render 这对组合
 */
import { createVNode, render } from "vue";
import XToast from "@/components/framework/common/x-toast.vue";
import { $commonService } from "@/services/framework/dependency-injection-service";

export interface ToastType {
  htmlStr: string;
  duration?: number;
}

// 挂载原型
export const XToastService = {
  install(app: any) {
    // 如果你想挂载全局的属性，能够通过组件实例调用的属性 this.$message
    // 扩展一个实例方法
    app.config.globalProperties.$xToast = this.xToast; // 原型函数
    $commonService.$dependencyInjectionService.provideFun(
      "$xToast",
      app.config.globalProperties.$xToast
    );
  },
  xToast(options: ToastType) {
    // 准备一个DOM容器
    const div = document.createElement("div");

    // 子节点添加到body上
    document.body.appendChild(div);

    let timer: any = null;
    const htmlStr = options.htmlStr || "toast默认文案";
    const duration = options.duration || 4000;

    // 创建虚拟dom  (组件对象， props)
    const vnode = createVNode(XToast, { htmlStr });

    // 把虚拟dom渲染到div
    render(vnode, div);
    timer = setTimeout(() => {
      div.remove();
      // render(null, div);
    }, duration);
  },
};
