/**
 * 验证规则库 开发可自行添加
 * 验证规则基于 async-validator
 * 具体可参考 https://www.npmjs.com/package/async-validator
 * descriptor 对象的key 为验证规则的属性名
 */
export const descriptor = {
  // 是否为手机号
  isCellPhoneNumber: {
    type: ["string", "number"],
    required: true,
    validator(rule: any, value: any) {
      const regExp = /^1[3|4|5|6|7|8|9][0-9]\d{8}$/;
      const isRight = regExp.test(value);
      return !!isRight;
    },
    message: "输入正确的手机号",
  },
};
