// store.ts
import { InjectionKey } from "vue";
import { createStore, useStore as baseUseStore, Store, Commit } from "vuex";
import { componentsState } from "@/store/modules/components";
import { obj } from "@/types";

export interface ActionsCommit {
  commit: Commit;
  state?: object;
}

export const key: InjectionKey<Store<obj>> = Symbol();

export const store = createStore<obj>({
  modules: {
    components: componentsState,
  },
});

// 定义自己的 `useStore` 组合式函数
export function useStore() {
  return baseUseStore(key);
}
