import { createStore, useStore as baseUseStore, Store, Commit } from "vuex";

export interface ActionsCommit {
  commit: Commit;
  state?: object;
}

export const componentsState = {
  state: () => ({
    componentsName: {
      key: "value",
    },
  }),
  // 同步事务
  mutations: {
    // setActiveIndex
    set(state: any, payload: { componentsName: string; data: {} }) {
      const key = payload.componentsName;
      state[key] = payload.data;
    },
  },
  // 提交的是 mutations 可包含异步
  actions: {
    asyncSet({ commit, state }: ActionsCommit, data: {}) {
      return new Promise((resolve, reject) => {
        commit("set", data);
        resolve(data);
      });
    },
  },
};
